UDDI Services

Universal Description, Discovery, and Integration (UDDI) is an industry specification for publishing and locating information about Web services. UDDI Services provides UDDI-compliant capabilities for use within an enterprise or between business partners. With UDDI Services, developers can publish, discover, share, and interact with Web services directly through their development tools and business applications.

In This Section

  • Overview of UDDI Services

  • Installing UDDI Services

  • Configuring UDDI Services

  • Managing UDDI Services

  • Resources for UDDI Services

  • User Interface: UDDI Services

© 2014 Microsoft Corporation. All rights reserved.


Overview of UDDI Services

UDDI Services provides Universal Description, Discovery, and Integration (UDDI) capabilities for sharing information about Web services within an organization's intranet, between business partners on an extranet, or on the Internet. UDDI Services can help improve the productivity of developers and information technology (IT) professionals with more reliable and manageable applications. With UDDI Services you can prevent duplication of effort by promoting reuse of existing development work.

Microsoft® UDDI Services provides developers and IT administrators with the following benefits:

  • A scalable solution for organizing, discovering, reusing, and managing Web services and other programmable resources

  • A standards-based infrastructure that is compliant with Version 3 of the UDDI application programming interface (API) specifications

  • Categorization schemes for describing providers and their Web services that you can customize to meet the needs of your organization

  • Integration with various development tools

  • User-friendly administration with the UDDI Services snap-in

Installation options

You can deploy UDDI Services with a stand-alone installation, or you can choose from a variety of configuration options with a distributed installation in an enterprise environment.

Stand-alone installation

Use a stand-alone installation for developer prototyping or other low-volume scenarios that involve a limited number of simultaneous users.

Distributed installation

We recommend a distributed installation for enterprise-wide implementations or other high-volume scenarios in which access times, availability, and reliability are of greater importance.

In a distributed installation of UDDI Services, the UDDI Services Web Application, the UDDI Services Notification Service, and the UDDI Services Database are installed on different servers. This type of installation can provide a fault-tolerant and responsive configuration because it places each of the UDDI Services components on a separate server, a server cluster, or a Web farm. The way in which you deploy the components is based on how you want to load-balance your installation.

UDDI Services site

An installation of UDDI Services consists of the following role services:

  • UDDI Services Database

  • UDDI Services Web Application

  • UDDI Services Notification Service

A set of UDDI Services Database, Web Application, and Notification Service servers that have the same configuration is referred to as a UDDI Services “site.” The Web server component may be hosted on the same server as the database component, or it may be hosted across multiple servers. Multiple Web servers at different locations that are connected to the same database component are part of the same site because they share the same database. The Notification Service component may be hosted on the same server as the database component, on one of the Web servers, or on a separate server. A site can have only one instance of the Notification Service.

Components that are part of the same site also share a set of configuration settings that control how the site behaves as a whole. These settings include user group mappings to security groups, the types of authentication that the site supports, and additional cryptography and encryption settings.

In a stand-alone installation, the Web server component, Notification Service component, and the database are installed on a single server.

UDDI Services Database

The UDDI Services Database provides data storage services for a site. You can install it into a database instance on an existing installation of Microsoft SQL Server®.

In addition to storing site data, the UDDI Services Database also stores all site-wide configuration settings, such as the name of a site, its user group mappings, and all security settings for the site.

UDDI Services Web Application

The UDDI Services Web Application uses Internet Information Services (IIS) 7.0. The Web user interface (UI) provides search, publishing, and coordination capabilities.

This component provides support for the UDDI APIs and for Windows® Integrated Authentication, UDDI publisher authentication, or a combination of the two on both the Web UI and API interfaces.

UDDI Services Notification Service

The UDDI Services Notification Service provides subscription-based notifications on user-defined collections of service metadata.

Interacting with UDDI Services

Developers can publish, discover, and share Web services by using the following interfaces:

  • UDDI Services Web User Interface: Provides search, publishing, subscription, and coordination features that are compatible with Microsoft Internet Explorer® and Netscape Navigator 4.5 or later.

  • Visual Studio .NET Add Web Reference Interface: Provides Web service discovery and integration in Microsoft Visual Studio® through UDDI Services.

  • UDDI API Interface: Supports the UDDI version 3.0 API and enables developers to publish, subscribe, discover, share, and interact with Web services directly through their development tools and business applications.

For more information about APIs for developers, see the Microsoft UDDI SDK (http://go.microsoft.com/fwlink/?LinkId=81040).

Administrators can manage UDDI Services by using a set of administration tools, including a Microsoft Management Console (MMC) snap-in, that provide local and remote administration capabilities. UDDI management interfaces include the following:

  • UDDI Services snap-in: This Microsoft Management Console (MMC) snap-in is installed when you install the Administration Tools. You can perform many configuration and management tasks with the UDDI Services snap-in.

  • UDDI Services Web UI: Administrators can use the Web UI to perform management and coordination tasks.

  • Additional administration tools: You can perform various management tasks by using administration tools. You can use these tools to create categorization schemes, export and import data entities, back up and restore a database, and back up and restore configuration settings.

    These tools are installed when you install Administration Tools. They are located under the bin/ folder in the UDDI Services installation folder:

    • uddiconfig.exe: A command-line tool that applies configuration settings from an XML document to UDDI Services components or retrieves configuration settings from UDDI Services components and stores them in an XML document.

    • uddidataexport.exe: A wizard that you can use to select providers or models that are hosted in a UDDI site and export their details to an XML file.

    • uddicatschemeeditor.exe: A user interface editor for creating and modifying categorization schemes that comply with UDDI Services.

    • Backup.exe: A command-line tool that backs up or restores the UDDI Services Database hosted on a local instance of SQL Server.

    • Bootstrap.exe: A command-line tool that loads XML data such as exported UDDI data entities and categorization schemes into the UDDI Services Database.

    • Uddimigrate.exe: A command-line tool that enables data migration from a UDDI Services 2.0 site to a UDDI Services 3.0 site.


Installing UDDI Services

The Installing and Configuring UDDI Services 3.0 guide is available for download at http://go.microsoft.com/fwlink/?LinkId=269582.

For more information about Custom configuration, see Configuring UDDI Services.


Configuring UDDI Services

After installing UDDI Services, you must use the UDDI Services Configuration Wizard to enable and configure the Database, Web Application, and Notification Service components.

The UDDI Services Configuration Wizard has two modes: Basic configuration and Custom configuration. Use Basic configuration mode to configure UDDI Services with default settings. Use Custom configuration mode to configure advanced settings for Database, Web Application, and Notification Service components.

When you first install UDDI Services, you can run the UDDI Services Configuration Wizard in either mode by selecting the Launch Configuration Wizard check box on the Installation Completed page of the Installation Wizard. You can also run the Configuration Wizard at any time after installing UDDI Services by clicking Start, pointing to All Programs, pointing to Microsoft UDDI Services, and then clicking UDDI Services Configuration.

Important
UDDI cannot be configured against a SQL Server having binary SQL Collation, which means that UDDI fails to configure with any SQL Binary Collation that ends with “_BIN”.

You can configure components using Custom mode at any time after installing UDDI Services. You can configure components using Basic mode after initially installing UDDI Services or after using Unconfigure Features in Custom mode.

Note
Anonymous login should be disabled for viewing UDDI portal in administrative mode; it allows IE to prompt for the required credentials with administrative privileges.

In This Section

  • Configure UDDI Services Using Basic Mode

  • Configure UDDI Services Using Custom Mode

  • Unconfigure UDDI Services


Configure UDDI Services Using Basic Mode

The UDDI Services Configuration Wizard Basic mode is targeted for first-time users. Use this option to configure the server with default settings.

Important
Secure Sockets Layer (SSL) encryption is automatically selected during Basic configuration of the UDDI Services Database component. If you do not want to use SSL encryption, you can use Custom configuration to clear the Require SSL for publication to this UDDI Services site option on the Configure UDDI Services Database Component page. When using SSL encryption with UDDI Services, you must configure a server certificate for the Internet Information Services (IIS) service that hosts the UDDI Services Web Application and then create an HTTPS binding for the Web site. For more information about configuring server certificates on a Web server, see Configuring Server Certificates in IIS 7.0 at http://go.microsoft.com/fwlink/?LinkID=64327 .

Note
Notification Service must be enabled by using Custom configuration.

Note
You can use the UDDI Services Configuration Wizard to configure components using Custom mode at any time after installing UDDI Services. You can configure components using Basic mode after initially installing UDDI Services or after using Unconfigure Features in Custom mode. For more information about Custom configuration, see Configure UDDI Services Using Custom Mode. For more information about unconfiguring UDDI Services in Custom mode, see Unconfigure UDDI Services.

To configure UDDI Services using Basic mode

  1. Open UDDI Services Configuration.

  2. On the UDDI Services Configuration Wizard – Start page, select Basic Configuration.

  3. In Database server name, type the name of the server that hosts the UDDI database.

  4. In User name, type the user name for the account that the services will run under. When using Basic configuration, all services will run under this account.

  5. Click Configure.

  6. On the Summary page, review configuration information, and then click Next.


Configure UDDI Services Using Custom Mode

The UDDI Services Configuration Wizard Custom mode is targeted for advanced users. Use this option to configure the server with advanced settings.

In This Section

  • Configure UDDI Services Database

  • Configure UDDI Services Web Application

  • Configure UDDI Services Notification Service


Configure UDDI Services Database

UDDI Services require a SQL Server database instance. The UDDI Services Database provides data storage services for a site. The UDDI Services Database also stores all site-wide configuration settings, such as the name of a site, its user group mappings, and all security settings for the site. You can configure the UDDI Services Database component settings by using the UDDI Services Configuration Wizard Custom configuration mode.

Note
Using the UDDI Services Configuration Wizard, you can configure components using Custom mode at any time after installing UDDI Services. You can configure components using Basic mode after initially installing UDDI Services or after using Unconfigure Features in Custom mode. For more information about Basic configuration, see Configure UDDI Services Using Basic Mode. For more information about unconfiguring UDDI Services in Custom mode, see Unconfigure UDDI Services.

To configure the Database component

  1. Open UDDI Services Configuration.

  2. On the UDDI Services Configuration Wizard – Start page, select Custom Configuration.

  3. On the UDDI Services Database Component configuration page, configure the following settings:

    Item Description

    Enable UDDI Services Database Component

    Select this item to configure Database component settings. By default, this item will be selected if Basic or Custom configuration has already been run.

    SQL Server Instance

    A SQL Server instance to host the UDDI database. If there is a Default instance, it will be used as the default value.

    Database Data Files Location

    Location of the database data file. If the SQL Server instance is on a cluster, the location must be on a shared disk of the cluster.

    Database Log Files Location

    Location of the database log file. If the SQL Server instance is on a cluster, the location must be on a shared disk of the cluster.

    Site Name

    UDDI Services site name.

    Require SSL for publication to this UDDI Services site

    If selected, publication requests must be sent via HTTPS.

  4. Click Apply Configuration.


Configure UDDI Services Web Application

UDDI Services includes the Web Application component. The Web Application component uses Internet Information Services (IIS). The Web user interface (UI) provides search, publishing, subscription, and coordination capabilities, and provides support for the UDDI APIs and for Windows Integrated Authentication, UDDI publisher authentication, or a combination of the two on both the Web UI and API interfaces. You can configure the Web Application component by using the UDDI Services Configuration Wizard Custom configuration mode.

Note
The Web Application component requires that the Database component has been configured.

Note
Using the UDDI Services Configuration Wizard, you can configure components using Custom mode at any time after installing UDDI Services. You can configure components using Basic mode after initially installing UDDI Services or after using Unconfigure Features in Custom mode. For more information about Basic configuration, see Configure UDDI Services Using Basic Mode. For more information about unconfiguring UDDI Services in Custom mode, see Unconfigure UDDI Services.

To configure the Web Application component

  1. Open UDDI Services Configuration.

  2. On the UDDI Services Configuration Wizard – Start page, select Custom Configuration.

  3. On the UDDI Services Web Application configuration page, configure the following settings:

    Item Description

    Enable UDDI Services Web Application

    Select this item to configure Web Application settings. By default, this item will be selected if Basic or Custom configuration has already been run.

    Data Store

    This item includes:

    • Data Store Name: The UDDI Services Database.

    • Server Name: The database server hosting the UDDI Services Database.

    • Database Name: The name of the UDDI Services Database.

    Note
    In a stand-alone installation, this control is disabled because the Web Application will always use the local UDDI database.

    Web Application account

    The service account under which the UDDI application pool in IIS runs.

    Self-register the site’s services in the UDDI registry and Active Directory

    Select this check box to publish services offered by this site to its own UDDI registry and if in a domain environment, also to the Active Directory® Domain Services (AD DS). If multiple Web servers are deployed for a site, self-registration should be done on only one of the Web servers.

  4. Click Apply Configuration.


Configure UDDI Services Notification Service

UDDI Services includes the Notification Service component. You can configure the Notification Service component by using the UDDI Services Configuration Wizard Custom configuration mode.

Note
The Notification Service component requires that the Database component has been configured.

Note
Using the UDDI Services Configuration Wizard, you can configure components using Custom mode at any time after installing UDDI Services. You can configure components using Basic mode after initially installing UDDI Services or after using Unconfigure Features in Custom mode. For more information about Basic configuration, see Configure UDDI Services Using Basic Mode. For more information about unconfiguring UDDI Services in Custom mode, see Unconfigure UDDI Services.

To configure the Notification Service

  1. Open UDDI Services Configuration.

  2. On the UDDI Services Configuration Wizard – Start page, select Custom Configuration.

  3. On the UDDI Services Notification Services configuration page, configure the following settings:

    Item Description

    Enable UDDI Services Notification Service

    Select this item to configure Notification Service settings.

    Data Store

    This item includes:

    • Data Store Name: The UDDI Services Database.

    • Server Name: The database server hosting the UDDI Services Database.

    • Database Name: The name of the UDDI Services Database.

    Note
    In a stand-alone installation, this control is disabled because the Notification Service will always use the local UDDI database.

    Windows Service account

    The service account under which the UDDI Notification Service runs.

    SMTP Server

    The SMTP server for sending e-mail notifications.

    E-mail address

    The address of the e-mail account used for sending e-mail notifications.

    SMTP Authentication

    The type of authentication used when authenticating with the SMTP server. This item includes:

    • Anonymous authentication

    • Windows authentication

    • Basic authentication

  4. Click Apply Configuration.


Unconfigure UDDI Services

Use the Unconfigure Features button in the UDDI Services Configuration Wizard to undo previously applied configuration settings or to make changes to existing component settings. When you unconfigure a component, that component is no longer enabled. To re-enable a component, you must again use the UDDI Services Configuration Wizard in Custom configuration mode.

Using Unconfigure Features has the following restrictions:

  • Unconfigure Features can only be used in Custom configuration mode.

  • Using Unconfigure Features to unconfigure the Database component does not delete the UDDI database.

  • The Web Application component and the Notification Services component are dependent on the Database component. Unconfiguring the Database component also unconfigures any dependent components.

  • To change configuration settings of a component, you must unconfigure it first and then re-configure it.

To unconfigure UDDI Services components

  1. Open UDDI Services Configuration.

  2. In the UDDI Services Configuration Wizard, click Unconfigure Features.

  3. In the Unconfigure Features dialog box, select the components you want to unconfigure, and then click OK.

  4. In Summary, verify the components that will be unconfigured, and then click Next.


Managing UDDI Services

You can manage UDDI Services by using the Microsoft Management Console (MMC) UDDI Services snap-in and by using command-line tools.

In This Section

  • Understanding UDDI Services Entities

  • Add or Remove a Site in the UDDI Services Snap-In

  • Configure UDDI Services Security

  • Assign Groups to UDDI Services Roles

  • Publish a Site in Active Directory Domain Services

  • Back Up a Database

  • Managing a UDDI Services Web Server

  • Managing a UDDI Services Notification Server


Understanding UDDI Services Entities

UDDI Services includes a directory of groups or organizations and the Web services that they provide on your intranet or extranet. The directory provides various kinds of information about these organizations and services that Web services developers can use when they design new applications. In a UDDI Services directory, the different types of information are called "entities."

UDDI Services entities

The entities that describe a Web service in UDDI Services include the following:

Provider

A Provider is any business or physical or conceptual group that offers one or more XML Web services. For example, a business, business unit, organization, organizational department, person, computer, or application can be a provider in UDDI Services. In the UDDI Services data structure, a provider represents the parent entity under which all contact, service, and interface information is stored and organized.

Contact

A Contact can be a human or computer resource that can be contacted for information about a provider or the XML Web services that it offers. A provider may have as many contacts as necessary to identify each of its available contact points.

Service

A Service entity describes and provides access to a function that you want to share with other UDDI Services users. Services can perform any function across a network, from simple requests to complicated business processes. A stock ticker feed and an online procurement system are examples of functions that can be published as a service. Services may have one or more bindings.

Binding

A Binding is the point where a specific implementation of a service can be accessed, such as the Uniform Resource Locator (URL) where an interface can be found. Bindings may also include one or more Instance Info structures.

Instance Info

An Instance Info is a reference to a tModel that contains relevant technical information about a binding, such as an interface specification document or Web Services Description Language (WSDL) file.

tModel

A tModel is typically used to provide technical information about an interface, such as a WSDL file, that describes the conventions that are supported by the interface. tModels are also used to represent an organized unit of descriptive data, such as an identification or categorization scheme. How tModels are used in your implementation may vary, depending on your organization's Web services publishing data model.

Entity attributes

Each entity is described by one or more of the following attributes:

  • Categorization Scheme

  • Overview Document URL

  • Discovery URL

  • Identifier

  • Relationships

  • Instance Parameters

Categorization Scheme

A Categorization Scheme is a collection of categories and subcategories used to describe and locate providers, services, and tModels. A categorization scheme may contain public classifications, such as the North American Industry Classification System (NAICS). It may also contain company-defined categorizations. For example, useful categorization schemes might be constructed according to geographical locations, industry segments, or a company's organizational structure. Categorization provides a consistent means by which users can search for providers, services, and bindings or locate interfaces of a particular type, location, or other attribute.

Overview Document URL

The Overview Document URL is an address of a Hypertext Transfer Protocol (HTTP)-accessible resource that hosts data or information that you want to associate with an entity. For example, a tModel overview document might provide the URL to an interface definition or WSDL file that provides technical information that is required to invoke a service through an interface. For an Instance Info, an overview document might provide additional technical information that is applicable only to a specific implementation of an interface.

Discovery URL

The Discovery URL is an HTTP-accessible resource that typically responds to an HTTP-GET request with technical information that describes a provider. When a provider is created, UDDI Services automatically creates a Discovery URL pointing to that provider's <businessEntity> in that installation of UDDI Services. The term <businessEntity> refers to the UDDI description of the provider in XML format using UDDI language.

Identifier

An Identifier is an organization-wide identification scheme that logically groups providers and tModels by a common form of identification, such as a cost code or D-U-N-S Number. Identifiers are optional descriptions. They are intended to enhance the discovery of providers and tModels in search operations.

Relationships

Relationships describe the identity, parent-child, or peer-peer relationships between providers. Relationships are useful, for example, for describing an organizational structure or advertising business partnerships.

Instance Parameters

Instance Parameters are the settings or parameters that are supported by an instance of a binding. An instance parameter may be either a list of settings and parameters or the URL of a file that contains a list of supported settings and parameters.


Add or Remove a Site in the UDDI Services Snap-In

You can add a UDDI Services site to the UDDI Services snap-in to connect to and manage the site and its associated Web servers.

Membership in Administrators, or equivalent, is the minimum required to complete these procedures.

To add a site to the UDDI Services snap-in

  1. Open UDDI Services Management Console.

  2. In the console tree, click UDDI Services.

  3. On the Action menu, click Add Site.

  4. Do one of the following:

    • To manage a UDDI Services site on the computer on which this snap-in is running, click Local computer.

    • To manage a UDDI Services site on a remote computer, click Another computer, and then type the name or IP address of the remote UDDI Services database server.

To remove a site from the UDDI Services snap-in

  1. Open Administrative Tools, and then click UDDI Services.

  2. In the console tree, click the UDDI Services site that you want to remove from the snap-in.

  3. On the Action menu, click Delete.


Configure UDDI Services Security

You can configure UDDI Services security options by using the UDDI Services snap-in. You can change the default authentication, encryption, and cryptography settings for a UDDI Services site.

Authentication

UDDI Services supports two basic types of authentication: UDDI publisher authentication and Windows authentication. Understanding the differences between these modes of authentication is an important part of determining which method to use for a specific UDDI Services deployment.

  • UDDI Publisher Authentication: Supports authenticated publications using UDDI Publisher authentication, as defined in section 5.3 of the UDDI v3 Specification. All interaction with UDDI Services that uses this style of authentication occurs under the http://<server name>/uddipublic or https://<server name>/uddipublic virtual directory in IIS. The UDDI Services ASP.NET user interface supports only anonymous searching with this authentication mode.

  • Windows Authentication: Supports authenticated publications using Windows Integrated Authentication. In this mode, any message passed to UDDI Services is authenticated based on the security context of the user that is generated by Windows at login. All interaction with UDDI Services that uses this type of authentication occurs under the http://<server name>/uddi or https://<servername>/uddi virtual directory in IIS. The UDDI Services ASP.NET user interface supports all functions with this authentication mode including searching, publishing, subscribing, and coordination.

To configure the authentication setting for a site, select one of the following:

  • Windows Integrated and UDDI publisher authentication: Supports both Windows Integrated Authentication and UDDI Publisher authentication for publications. This is the default selection. Publication SOAP requests sent to http://<servername>/uddi or https://<servername>/uddi should use Windows Integrated Authentication and publication SOAP requests sent to http://<servername>/uddipublic or https://<servername>/uddipublic should use UDDI Publisher Authentication.

  • UDDI publisher authentication: Supports UDDI Publisher authentication only for publications. If this option is selected, publication SOAP requests should be sent to http://<servername>/uddipublic or https://<servername>/uddipublic.

  • Windows Integrated publisher authentication: Supports Windows Integrated Authentication only for publications. If this option is selected, publication SOAP requests should be sent to http://<servername>/uddi or https://<servername>/uddi.

    • Authentication for read (inquiry) access: If this option is selected, this UDDI Services site mandates the use of Windows Integrated Authentication for UDDI Inquiry API requests into this site.

Membership in Administrators, or equivalent, is the minimum required to complete this procedure.

To select an authentication type

  1. Open UDDI Services Management Console.

  2. In the console tree, click the UDDI Services site that you want to configure.

  3. On the Action menu, click Properties.

  4. Click the Security tab.

  5. Under Authenticated access, select the authentication type that you want to use, and then click OK.

Encryption

The use of Secure Sockets Layer (SSL) for publishing updates to the UDDI Services site is automatically selected during UDDI Services Basic configuration. SSL encryption provides increased security for communication between client computers and the UDDI Services Web Application. If you do not want to use SSL encryption, you can use Custom configuration to clear the Require SSL for publication to this UDDI Services site option on the Configure UDDI Services Database Component page. When using SSL encryption with UDDI Services, you must configure a server certificate for the Internet Information Services (IIS) service that hosts the UDDI Services Web Application and then create an HTTPS binding for the Web site. For more information about configuring server certificates on a Web server, see Configuring Server Certificates in IIS 7.0 at http://go.microsoft.com/fwlink/?LinkID=64327 . After the UDDI Services are configured, you can still enable or disable the SSL option by using the UDDI Services snap-in.

Membership in Administrators, or equivalent, is the minimum required to complete this procedure.

To enable or disable SSL

  1. Open UDDI Services Management Console.

  2. In the console tree, click the UDDI Services site that you want to configure.

  3. On the Action menu, click Properties.

  4. Click the Security tab.

  5. Under Secure Communications, select or clear the Require SSL for publication requests to this site check box.

  6. Click OK.

Cryptography

You can change the default key settings that are used for UDDI publisher authentication. Cryptography settings include the following:

  • SOAP authentication token expiration: SOAP authentication tokens communicate publisher credentials for UDDI publisher authenticated publications.

  • Cryptography key time-out: The cryptography key is used to generate SOAP authentication tokens.

Membership in Administrators, or equivalent, is the minimum required to complete this procedure.

To change cryptography settings

  1. Open UDDI Services Management Console.

  2. In the console tree, click the UDDI Services site that you want to configure.

  3. On the Action menu, click Properties.

  4. Under Cryptography, click Change, and then modify one of the following:

    1. SOAP Authentication Token Expiration:

      Use the up or down arrow to change the time, in minutes, after which tokens that are issued for publication will expire.

    2. Cryptography Key Timeout:

      To reset the cryptography key that is used to encrypt SOAP authentication tokens now, click Reset Now.

      To automatically reset the cryptography key after a certain number of days, select the Automatically reset cryptography key check box, and then specify the number of days by using the up or down arrow.

  5. Click OK twice.


Assign Groups to UDDI Services Roles

After you install and configure UDDI Services, you can assign groups to UDDI Services roles as necessary to meet the needs of your organization. By default, the UDDI Services Publisher, Coordinator, and Administrator groups are members of the Windows security group BUILTIN\Administrators. The UDDI Services User group is a member of the Windows security group BUILTIN\Users.

Information technology (IT) administrators can easily manage access to UDDI Services functions by assigning user groups to one of four roles: User, Publisher, Coordinator, or Administrator. You can assign users or groups to the following UDDI Services roles.

Note
The User group and the Publisher group can include applications as well as people.

  • User

    Users have read-only access to UDDI Services Web service information. In an Active Directory Domain Services (AD DS) domain, everyone is a User by default. Place any users, applications, or business partners who only need to search information—but do not need to add, change, or update any Universal Description, Discovery, and Integration (UDDI) data—in this group.

  • Publisher

    A Publisher is any person or application that publishes data in a site. For example, a Publisher may be a Web service that updates its access point or a developer who wants to publish a Web service to enable discovery through UDDI. When you publish data, you are the default owner of that data. Publishers can create new Web service publications or modify any of the publications that they own. The Publisher group has User rights.

  • Coordinator

    A Coordinator can query, publish, and configure data in the UDDI Services Web-based user interface (UI).

    In addition to having Publisher rights, a Coordinator can modify any data that is stored in UDDI Services, change publication ownership, import categorization schemes, and view statistical reports. Coordinators are often responsible for helping to ensure consistent and accurate publications; they can view or modify any entity, and they can correct errors. They also manage entity ownership, which includes tasks such as reassigning a publication to a new developer following the departure of the original publisher.

  • Administrator

    An Administrator can query, publish, coordinate, and administer UDDI Services. An Administrator can configure service options, manage security settings, perform backups, configure Web and database servers, and carry out other administrative tasks at the system level by using administration tools including the UDDI Services snap-in. The UDDI Services Web-based interface does not include administrative tasks. By default, all local computer and domain administrators are assigned to the Administrator role.

Important
A local administrator has UDDI Services Administrator rights over any components that are operating on that computer, even if the local administrator has not specifically been assigned to the UDDI Services Administrator role.

The following table summarizes the tasks that each role can perform.

Tasks | User | Publisher | Coordinator | Administrator
Search for providers, services, bindings, and tModels. | X | X | X | X
Subscribe to providers, services, bindings, and tModels changes. |  | X | X | X
Publish providers, services, bindings, and tModels. |  | X | X | X
View server statistics and manage entity ownerships. |  |  | X | X
Manage categorization schemes. |  |  | X | X
Import data from the Web UI. |  |  | X | X
Run administration tools. |  |  |  | X

Membership in Administrators, or equivalent, is the minimum required to complete this procedure.

To assign groups to UDDI Services roles

  1. Open UDDI Services Management Console.

  2. In the console tree, click the site that you want to configure.

  3. On the Action menu, click Properties.

  4. In <site name> Properties, click the Roles tab.

  5. To change a group for any role for the UDDI Services site, click Select next to the Group Name.

  6. In Enter the object name to select, type the name of the group, and then click OK.

  7. Select another group to change, or click OK.

Additional considerations

If you have multiple sites, you may have to add the site that you want to configure to the UDDI Services snap-in. For more information, see Add or Remove a Site in the UDDI Services Snap-In.


Publish a Site in Active Directory Domain Services

You can use the UDDI Services snap-in to register a UDDI Services site’s connection points in Active Directory Domain Services (AD DS) to advertise the site's presence and access point to other UDDI Services–aware applications and services, such as Microsoft Visual Studio. When you install UDDI Services, the default selection Self-register publishes the site that you are installing in AD DS. You can choose not to self-register during installation.

Note
You can also use this interface to remove a site from publication in AD DS.

Membership in Domain Administrators, or equivalent, is the minimum required to complete this procedure.

To publish a site in AD DS

  1. Open UDDI Services Management Console.

  2. In the console tree, click the UDDI Services site that you want to publish in AD DS.

  3. On the Action menu, click Properties,and then click the Active Directory tab.

  4. On the Active Directory tab, click Publish, and then click OK.

Additional considerations

  • Publishing in AD DS requires user credentials with directory Publish permissions.

  • If you are using Internet Explorer 11, make sure you open the site in the compatibility mode to get the complete experience. The left navigation pane and the Quick Help drop-down does not render if you do not use the compatibility mode.


Back Up a Database

Create a backup of your database in case of a system failure. You can use the UDDI Services command-line backup tool (backup.exe) or SQL Server to back up the database. For information about backing up a database using SQL Server, see SQL Server Help.

Important
Before you back up any data, we highly recommend that you stop all UDDI Services Web servers that are connected to the database instance for which you are creating a backup. For more information, see Start or Stop a Web Server.

Backing up a UDDI Services Database

Membership in Administrators, or equivalent, is the minimum required to complete this procedure.

To back up a UDDI Services Database using a command line

  1. On the computer that hosts the UDDI Services Database that you want to back up, open a command prompt with Administrator credentials.

  2. Type the following command, and then press ENTER:

    Copy Code
    CD UDDI_Services_Installation_Directory\bin

    The default UDDI Services installation directory is:

    Copy Code
    %Program Files%\Microsoft UDDI Services\

  3. Type the following command, and then press ENTER:

    Copy Code
    backup.exe [/<backup:file>] [Database_Instance_Name]

    Parameter Description

    backup.exe

    Backs up or restores the UDDI Services Database.

    Note
    backup.exe cannot restore the latest version of the backup data from a data file that contains multiple backups.

    /<backup:file>

    The name of the SQL Server database instance where the UDDI Services Database is installed. If no database is specified, the tool reads the configured database instance from the Windows registry.

    For example, to back up a UDDI Services Database that is hosted in a database instance named UDDI, type the following command, and then press ENTER:

    Copy Code
    backup.exe UDDI

    A backup of your data is placed in:

    Copy Code
    UDDI_Services_Installation_Directory\data\UDDI.database. yyyyMMddHHmm.bak.

  4. Copy this file to another location, or back it up for safekeeping.

Restoring a UDDI Services Database

Membership in Administrators, or equivalent, is the minimum required to complete this procedure.

To restore a UDDI Services Database using a command line

  1. On the computer that hosts the UDDI Services Database that you want to restore, open a command prompt with administrator privilege.

  2. Type the following command, and then press ENTER:

    Copy Code
    CD <UDDI_Services_Installation_Directory>\bin

    The default UDDI Services installation directory is:

    Copy Code
    %Program Files%\Microsoft UDDI Services\

  3. Type the following command, and then press ENTER:

    Copy Code
    backup.exe /restore[:<file>] [<Database_Instance_Name>]

    Parameter Description

    backup.exe

    Backs up and restores the UDDI Services Database.

    Note
    backup.exe cannot restore the latest version of the backup data from a data file that contains multiple backups.

    /restore[:<file>]

    Restores the UDDI Services Database from a backup file. If a backup file is not specified, by default the tool finds the UDDI_Services_Installation_Directory \data\uddi.database.timestamp.bak that has the latest time stamp.

    <Database_Instance_Name>

    The name of the SQL Server database instance where the UDDI Services Database is installed. If no database is specified, the tool reads the configured database instance from the Windows registry.

    For example, to restore a UDDI Services Database to a database instance named UDDI, type the following command, and then press ENTER:

    Copy Code
    Backup.exe /restore UDDI

Additional considerations

  • Backups that you create by using this tool contain physical paths and file names for Universal Description, Discovery, and Integration (UDDI) data files that are specific to the current installation. For this reason, you cannot use this tool to migrate data from one UDDI Services installation to another.


Managing a UDDI Services Web Server

A UDDI Services Web server represents an instance of the UDDI Services Web Application component that provides an interface for querying and publishing Web services on a UDDI Services site. The following topics contain procedures for managing a UDDI Services Web server:

In This Section

  • Configure Web Server Logging

  • Start or Stop a Web Server

  • Move a Web Server from One Site to Another

  • Remove a Web Server from a Site

  • Change a Web Server's Database


Configure Web Server Logging

You can use the following procedure to configure event log settings and log file settings for a UDDI Services Web server.

Membership in Administrators, or equivalent, is the minimum required to complete this procedure.

To configure Web server logging

  1. Open UDDI Services Management Console.

  2. In the console tree, click the site, and then click the Web server that you want to configure.

  3. On the Action menu, click Properties.

  4. Click the Logging tab, and then make your selections of the following configuration options:

    • Event Log Settings: Click and move the slider to specify the level of information that will be published to the event log by this UDDI Services Web server component.

    • Log File Settings: Click and move the slider to specify the level of information that will be published to the log file by this UDDI Services Web server component.

  5. Click OK.

Additional references

  • Managing a UDDI Services Web Server


Start or Stop a Web Server

You can use the following procedure to start or stop a UDDI Services Web server.

Membership in Administrators, or equivalent, is the minimum required to complete this procedure.

To start or stop a Web server

  1. Open UDDI Services Management Console.

  2. In the console tree, click the site, and then click the UDDI Services Web server that you want to start or stop.

  3. Do one of the following:

    • To stop a Web server, on the Action menu, click Stop.

    • To start a Web server, on the Action menu, click Start.

Additional references

  • Managing a UDDI Services Web Server


Move a Web Server from One Site to Another

You can use the following procedure to move a Web server in a distributed installation of UDDI Services. You cannot move a Web server to or from a stand-alone site.

Membership in Administrators, or equivalent, is the minimum required to complete this procedure.

To move a Web server from one site to another

  1. Open UDDI Services Management Console.

  2. In the console tree, click the UDDI Services site to which you want to move the Web server.

  3. On the Action menu, click Add Web Server.

  4. Select the computer that hosts the UDDI Services Web server component that you want to move to this site by doing one of the following:

    • Click Local computer (the one this console is running on).

    • Click Another computer, and then type the name or IP address of the remote UDDI Services Web server.

  5. Click OK.

Additional references

  • Managing a UDDI Services Web Server


Remove a Web Server from a Site

If you are making hardware adjustments in your network, you may decide to remove a Web server. You can use this procedure to remove a UDDI Services Web server in a distributed installation of UDDI Services.

When you remove a Web server from a site, the Web Application is not disabled and the Web Application is not uninstalled. To completely remove a UDDI Services Web Application from a computer, use Custom configuration Unconfigure Features in the UDDI Services Configuration Wizard.

Membership in Administrators, or equivalent, is the minimum required to complete this procedure.

To remove a Web server from a site

  1. Open UDDI Services Management Console.

  2. In the console tree, click the UDDI Services Web server that you want to remove.

  3. On the Action menu, click Delete.

Additional references

  • Managing a UDDI Services Web Server


Change a Web Server's Database

You can change a UDDI Services Web server's database in a distributed installation. If you change a Web server's database connection to a database server that is in a different site, you change the site to which that Web server belongs. You cannot change the database connection on a Web server that is part of a stand-alone site.

Note
The UDDI Services Database must be installed on a computer before a UDDI Services Web server can be connected to it.

Membership in Administrators, or equivalent, is the minimum required to complete this procedure.

To change a Web server's database

  1. Open UDDI Services Management Console.

  2. In the console tree, click the UDDI Services Web server that you want to configure.

  3. On the Action menu, click Properties.

  4. Click the Database Connection tab.

  5. In Write operations computer, click Change.

  6. Select the computer that hosts the UDDI Services Database component that this Web server will use for write operations by doing one of the following:

    • Click Local computer (the one this console is running on).

    • Click Another computer, and then type the name or IP address of the remote UDDI Services Database server.

  7. In Read operations computer, click Change.

  8. Click the computer that hosts the UDDI Services Database component that this Web server will use for read operations by doing one of the following:

    • Click Local computer (the one this console is running on).

    • Click Another computer, and then type the name or IP address of the remote UDDI Services Database server.

  9. Click OK.

Additional considerations

  • Before you can configure a site or one of its Web servers, you may have to add the site to the UDDI Services snap-in. For more information, see Add or Remove a Site in the UDDI Services Snap-In.

Additional references

  • Managing a UDDI Services Web Server


Managing a UDDI Services Notification Server

A UDDI Services Notification server represents an instance of the UDDI Services Notification Service component that provides subscription-based notification on user-defined collections of service metadata. The following topics contain procedures for managing a UDDI Services Notification server:

In This Section

  • Configure Notification Server Logging

  • Start or Stop a Notification Server

  • Move a Notification Server from One Site to Another

  • Remove a Notification Server from a Site

  • Change a Notification Server's Database


Configure Notification Server Logging

You can use the following procedure to configure event log settings and log file settings for a UDDI Services Notification server.

Membership in Administrators, or equivalent, is the minimum required to complete this procedure.

To configure Notification server logging

  1. Open UDDI Services Management Console.

  2. In the console tree, click the site, and then click the Notification server that you want to configure.

  3. On the Action menu, click Properties.

  4. Click the Logging tab, and then make your selections of the following configuration options:

    • Event Log Settings: Click and move the slider to specify the level of information that will be published to the event log by this UDDI Services Notification server component.

    • Log File Settings: Click and move the slider to specify the level of information that will be published to the log file by this UDDI Services Notification server component.

  5. Click OK.

Additional references

  • Managing a UDDI Services Notification Server


Start or Stop a Notification Server

You can use the following procedure to start or stop a UDDI Services Notification server.

Membership in Administrators, or equivalent, is the minimum required to complete this procedure.

To start or stop a Notification server

  1. Open UDDI Services Management Console.

  2. In the console tree, click the site, and then click the UDDI Services Notification server that you want to start or stop.

  3. Do one of the following:

    • To stop a Notification server, on the Action menu, click Stop.

    • To start a Notification server, on the Action menu, click Start.

Additional references

  • Managing a UDDI Services Notification Server


Move a Notification Server from One Site to Another

You can use the following procedure to move a Notification server in a distributed installation of UDDI Services. You cannot move a Notification server to or from a stand-alone site.

Membership in Administrators, or equivalent, is the minimum required to complete this procedure.

To move a Notification server from one site to another

  1. Open UDDI Services Management Console.

  2. In the console tree, click the UDDI Services site to which you want to move the Notification server.

  3. On the Action menu, click Add Notification Server.

  4. Select the computer that hosts the UDDI Services Notification server component that you want to move to this site by doing one of the following:

    • Click Local computer (the one this console is running on).

    • Click Another computer, and then type the name or IP address of the remote UDDI Services Notification server.

  5. Click OK.

Additional references

  • Managing a UDDI Services Notification Server


Remove a Notification Server from a Site

If you are making hardware adjustments in your network, you may decide to remove a Notification server. You can use this procedure to remove a Notification server in a distributed installation of UDDI Services.

When you remove a Notification server from a site, the Notification Service is not disabled and the Notification Service is not uninstalled. To completely remove a Notification Service from a computer, use Custom configuration Unconfigure Features in the UDDI Services Configuration Wizard.

Membership in Administrators, or equivalent, is the minimum required to complete this procedure.

To remove a Notification server from a site

  1. Open UDDI Services Management Console.

  2. In the console tree, click the Notification server that you want to remove.

  3. On the Action menu, click Delete.

Additional references

  • Managing a UDDI Services Notification Server


Change a Notification Server's Database

You can change a UDDI Services Notification server's database in a distributed installation. If you change a Notification server's database connection to a database server that is in a different site, you change the site to which that Notification server belongs. You cannot change the database connection on a Notification server that is part of a stand-alone site.

Note
The UDDI Services Database must be installed on a computer before a UDDI Services Notification server can be connected to it.

Membership in Administrators, or equivalent, is the minimum required to complete this procedure.

To change a Notification server's database

  1. Open UDDI Services Management Console.

  2. In the console tree, click the UDDI Services Notification server that you want to configure.

  3. On the Action menu, click Properties.

  4. Click the Database Connection tab.

  5. In Notification operations computer, click Change.

  6. Select the computer that hosts the UDDI Services Database component that this Notification server will use for write operations by doing one of the following:

    • Click Local computer (the one this console is running on).

    • Click Another computer, and then type the name or IP address of the remote UDDI Services Database server.

  7. Click OK.

Additional references

  • Managing a UDDI Services Notification Server


Resources for UDDI Services

For more information about UDDI Services, see the following resources on the Microsoft Web site:

  • UDDI Services (Windows Server 2008: http://go.microsoft.com/fwlink/?LinkID=198133, Windows Server 2003: http://go.microsoft.com/fwlink/?LinkId=132107)

  • Microsoft UDDI Services 3.0 SDK (http://go.microsoft.com/fwlink/?LinkId=81040)

For information about UDDI specifications, see the following:

  • OASIS UDDI (http://go.microsoft.com/fwlink/?LinkId=132109)


User Interface: UDDI Services

In This Section

  • UDDI Services Snap-In


UDDI Services Snap-In

In This Section

  • <Site Name> Properties Sheet - Active Directory Tab

  • <Site Name> Properties Sheet - Advanced Tab

  • <Site Name> Properties Sheet - General Tab

  • <Site Name> Properties Sheet - Roles Tab

  • <Site Name> Properties Sheet - Security Tab

  • <Site Name> Properties Sheet - Subscription Tab

  • <Web Server Name> Properties Sheet - General Tab

  • <Web Server Name> Properties Sheet - Logging Tab

  • <Web Server Name> Properties Sheet - Database Connection Tab

  • <Notification Server Name> Properties Sheet - General Tab

  • <Notification Server Name> Properties Sheet - Logging Tab

  • <Notification Server Name> Properties Sheet - Database Connection Tab

  • Edit Property Dialog Box

  • Select Computer Dialog Box

  • Select Web Server Dialog Box

  • UDDI Services Cryptography Dialog Box

  • Configure Mail Profile Dialog Box


<Site Name> Properties Sheet - Active Directory Tab

Use the following options on the Active Directory Domain Services tab to manage this site's publication into Active Directory Domain Services (AD DS).

Item | Details
Publish | Click Publish to publish this UDDI Services site in AD DS using the current user's credentials. This registers the site’s connection points in AD DS to advertise the site's presence and access point to other UDDI Services–aware applications and services.
Remove | Click Remove to remove this UDDI Services site's publication in AD DS using the current user's credentials.


<Site Name> Properties Sheet - Advanced Tab

Use the following options on the Advanced tab to view or modify the advanced configuration options that are available for this site.

Item | Description
Operator | The value that is used to populate the Operator attribute in SOAP application programming interface (API) responses that include an Operator attribute.
Find.MaxRowsDefault | The maximum number of rows that are returned on SOAP API find requests.
DefaultDiscoveryURL | The prefix that is used for the default discovery Uniform Resource Locator (URL) that is attached to providers that are published in this site.
Web.HttpsPort | The HTTPS port of the Web site that the UDDI Web application runs in. If the actual port is not the default 443, you must change this value.


<Site Name> Properties Sheet - General Tab

Use the following options on the General tab to view information about this UDDI Services site.

Item | Details
Site Key | The unique key that is associated with this site. The site key is used during programmatic queries.
Version | The version number of this installation.
Language | The default language code of this installation.
Site Description | A description of this site.
Date | The date that this site was installed.
Location | The path where this site was installed.
.NET Framework Version | The version number of the Microsoft .NET Framework that is installed on this server.
Components | UDDI Services components that are installed on this system.


<Site Name> Properties Sheet - Roles Tab

Use the following options on the Roles tab to view or modify the groups that are used by this site to define user privileges.

Control | Details
Administrators' Group Name | The name of the user group that your organization uses to define the users that have administrator privileges for this UDDI Services site. An Administrator is any individual who can query, publish, administer, and configure UDDI Services. In addition to Coordinator privileges for the Web-based user interface (UI), an Administrator can configure service options, manage security settings, facilitate backups, and perform other administrative tasks at the system level using the UDDI Services snap-in.
Coordinators' Group Name | The name of the user group that your organization uses to define the users that have Coordinator privileges for this UDDI Services site. A Coordinator is any individual who can query, publish, and administer data in the UDDI Services Web-based UI. In addition to Publisher privileges, a Coordinator can view and modify any data that is published to UDDI Services, change entity ownerships, import categorization schemes, and view or refresh statistical reports.
Publishers' Group Name | The name of the user group that your organization uses to define the users that have publishing privileges in this UDDI Services site. A Publisher is any individual who can query, subscribe to, and publish in UDDI Services. Publishers can add entities to UDDI Services or modify any of the entities that they own.
Users' Group Name | The name of the user group that your organization uses to define the users that have search privileges in this UDDI Services site. A user is any individual who can only query UDDI Services for Web service information. Any partner or organization with whom you want to share your Web services data must be granted—at a minimum—User privileges.


<Site Name> Properties Sheet - Security Tab

Use the following options on the Security tab to view or modify the authentication, encryption (Secure Communications), and cryptography settings for this UDDI Services site.

Control Details

Authenticated Access

Under Authenticated Access, you can modify the type of authentication that this UDDI Services site uses. Select from the following options:

  • Windows Integrated and UDDI publisher authentication: This site supports authenticated publications using Windows Integrated authentication or UDDI Publisher authentication, as described in section 5.3 of the UDDI Services 3.0 Specification.

  • UDDI publisher authentication: This site supports authenticated publications using UDDI Publisher authentication only, as described in section 5.3 of the UDDI Services 3.0 Specification.

  • Windows Integrated publisher authentication: This site supports authenticated publications using Windows Integrated authentication only. If this type of authentication is selected, you can also select:

    • Authentication for read (inquiry) access: If this option is selected, this UDDI Services site mandates the use of Windows Integrated authentication for UDDI Inquiry API requests into this site.

    For more information, see Configure UDDI Services Security.

Secure Communications

Under Secure Communications, you enable or disable Secure Sockets Layer (SSL) encryption for communication with the UDDI Services site. SSL encryption provides increased security for communications between client computers and the UDDI Services Web server component.

Important
If you use SSL encryption for this site, you must have an SSL authentication certificate for the installation of Internet Information Services (IIS) that hosts the UDDI Services Web server component; otherwise, UDDI Services will not function.

Cryptography

You can adjust the expiration of the SOAP authentication token and cryptography key time-out settings for UDDI Publisher authenticated publications.


<Site Name> Properties Sheet - Subscription Tab

Use the following options on the Subscription tab to configure service-wide subscription properties.

Control Details

Subscription Expiration

Under Subscription Expiration, you can modify subscription expiration settings. Select from the following options:

  • Default valid duration for a subscription: This value is assigned if a subscriber does not specify expiresAfter when saving a subscription. 0 means the subscription will never expire. This value should never be greater than Maximum valid duration for a subscription.

  • Maximum valid duration for a subscription: Upper limit for the expiresAfter parameter. If expiresAfter assigned by the subscriber is greater than this value, the server will take this value and add it to the reply. 0 means the system will not apply an upper limit.

Chunk Token Expiration

Under Chunk Token Expiration, you can modify chunk token settings. Select from the following options:

  • Chunk Token issued will expire after: A chunk token can be specified in the get_subscriptionResult and subscriptionResultsList messages. It is used for paging through large subscription result sets. A chunk token is only valid for a limited time.

Notification Setting

Under Notification Setting, you can modify notification settings. Select from the following options:

  • Minimum Notification Interval: The minimum value that this system will allow for the notificationInterval parameter in a subscription. This mechanism is provided to ensure reasonable server performance.

  • Email Server and account settings: Click this button to configure mail profile settings.

  • Notification email subject format: The subject format of notification e-mails can be customized. This can consist of fixed text and subscription-specific information. For example, the default subject text is “UDDI Subscription Notification - ${key} -${time}”. The following keywords are supported:

    • ${key}: Subscription key

    • ${time}: The date and time when the subscription result was sent out. For example, 6/10/2006 13:10:00 PST.

  • Timeout value when invoking remote listener web service: The UDDI server will time out if it does not receive the expected response from a remote customer listener service within the time specified.

  • Retries after timeout: Number of retries if a request was timed out.


<Web Server Name> Properties Sheet - General Tab

Use the following options on the General tab to view information about this UDDI Services Web component.

Item | Details
Version | The version number of this installation.
Language | The default language code of this installation.
Installation - Date | The date that this Web server component was installed.
Installation - Location | The path where this Web server component was installed.
Installation - .NET Framework Version | The version number of the Microsoft .NET Framework that is installed on this server.
Components | UDDI Services components that are installed on this system.


<Web Server Name> Properties Sheet - Logging Tab

Use the following options on the Logging tab to view or modify the Event Log Settings and Log File Settings for the UDDI Services Web server component.

Item | Description
None | No information is logged.
Error | Records significant problems, such as loss of data or loss of functionality. For example, if a service fails to load during startup, an error is logged.
Warning | Records errors and events that are not necessarily significant but may indicate a possible future problem. For example, when disk space is low, a warning is logged.
Failure Audit | Records errors, warnings, and security access attempts that fail. For example, if a user tries to access a network drive and fails, the attempt is logged as a failure audit event.
Pass Audit | Records errors, warnings, and both failed and successful security attempts. For example, a user's successful attempt to log on the system is logged as a success audit event.
Info | Records errors, warnings, security audits, and events that describe the successful operation of an application, driver, or service. For example, when a network driver loads successfully, an info event is logged.
Verbose | Records all successful and failed events.


<Web Server Name> Properties Sheet - Database Connection Tab

Use the following options on the Database Connection tab to view or modify the database that is used by the UDDI Services Web server component for publishing and querying.

Item Details

Read operations computer

The name of the server that is used for read (query) operations, followed by the name of the database instance. To select a different server or database instance for read operations, click Change.

Write operations computer

The name of the server that is used for write (publish) operations, followed by the name of the database instance. To select a different server or database instance for write operations, click Change.

Note
You cannot change the database connection on a Web server that is part of a stand-alone site.


<Notification Server Name> Properties Sheet - General Tab

Use the following options on the General tab to view information about this UDDI Services Notification Server component.

Item | Details
Version | The version number of this installation.
Language | The default language code of this installation.
Installation - Date | The date that this Notification server component was installed.
Installation - Location | The path where this Notification server component was installed.
Installation - .NET Framework Version | The version number of the Microsoft .NET Framework that is installed on this server.
Components | UDDI Services components that are installed on this system.


<Notification Server Name> Properties Sheet - Logging Tab

Use the following options on the Logging tab to view or modify the Event Log Settings and Log File Settings for the UDDI Services Notification server component.

Item | Description
None | No information is logged.
Error | Records significant problems, such as loss of data or loss of functionality. For example, if a service fails to load during startup, an error is logged.
Warning | Records errors and events that are not necessarily significant but may indicate a possible future problem. For example, when disk space is low, a warning is logged.
Failure Audit | Records errors, warnings, and security access attempts that fail. For example, if a user tries to access a network drive and fails, the attempt is logged as a failure audit event.
Pass Audit | Records errors, warnings, and both failed and successful security attempts. For example, a user's successful attempt to log on the system is logged as a success audit event.
Info | Records errors, warnings, security audits, and events that describe the successful operation of an application, driver, or service. For example, when a network driver loads successfully, an info event is logged.
Verbose | Records all successful and failed events.


<Notification Server Name> Properties Sheet - Database Connection Tab

Use the following options on the Database Connection tab to view or modify the database that is used by the UDDI Services Notification server component for subscription.

Item Details

Notification operations computer

The name of the server that is used for notification (subscription) operations, followed by the name of the database instance. To select a different server or database instance for notification operations, click Change.

Note
You cannot change the database connection on a Notification server that is part of a stand-alone site.


Edit Property Dialog Box

In the Properties dialog box, on the Advanced tab, click a property in the list, and then click Edit Property to change its value.

Item | Detail
Name | The property name, for example, DefaultDiscoveryURL.
Value | The value that is currently assigned to the property, for example, a text string, a number, or a Uniform Resource Locator (URL), depending on the type of property.


Select Computer Dialog Box

Use the following options in the Select Computer dialog box to select the computer that hosts the component that you want to connect to.

Item Details

Select this object type

Click Object Type to select the types of objects that you want to find. This list shows the available object types that you can look for. This list may include one or more of the following types of objects:

  • Built-in security principals: Objects that represent default built-in groups and foreign security principals. Examples include the following: Administrators, System Operators, Users, Power Users, Everyone, Authenticated Users, Anonymous Logon, Guests, and System.

  • Groups: Objects that can have users, computers, and other groups as members.

  • Users: Objects that are used to allow people to access network resources.

  • Computers: Objects that are used to represent a computer's access to network resources.

  • Contacts: Objects that are used to locate information about people. Contact objects cannot be assigned permissions; therefore, they do not have access to network resources.

  • Other: Objects that can be created by applications.

From this location

Click Locations to select the root location from which to begin your search.

Enter the object name to select

Provides a space for you to type the object names that you want to find. You can search for multiple objects by separating each name with a semicolon. Use one of the following syntax examples:

  • DisplayName (example: FirstName LastName)

  • ObjectName (example: Computer1)

  • UserName (example: User1)

  • ObjectName@DomainName (example: User1@Domain1)

  • DomainName\ObjectName (example: Domain1\User1)


Select Web Server Dialog Box

Use the following options in the Select Web Server dialog box to select the computer where you want to move a Web server in a distributed installation of UDDI Services.

Item | Details
Local computer (the one this console is running on) | Select this option to manage a UDDI Services component, for example, a Web server, on the computer on which this console is running.
Another computer | Select this option to manage a UDDI Services component, for example, a Web server, on a remote computer. Enter the name or IP address of the remote computer that hosts the UDDI Services component.


UDDI Services Cryptography Dialog Box

Use the following options in the Cryptography dialog box to view or modify the SOAP authentication token expiration and cryptography key time-out settings for this UDDI Services site.

Control Details

SOAP Authentication Token Expiration

Specify the amount of time, in minutes, after which the SOAP authentication token expires for UDDI Publisher authenticated publications. SOAP authentication tokens communicate publisher credentials for UDDI Publisher authenticated publications.

Cryptography Key Timeout

The creation date of the cryptography key that is used to generate SOAP authentication tokens and the amount of time, in days, after which the key is automatically reset.

To reset the cryptography key that encrypts SOAP authentication tokens now, click Reset Now.

To automatically reset the cryptography key after a certain number of days, select the Automatically reset cryptography key check box, and then specify the number of days.


Configure Mail Profile Dialog Box

Use the following options in the Configure Mail Profile dialog box to configure SMTP mail profile settings.

Control Details

Outgoing Mail Server (SMTP)

Under Outgoing Mail Server (SMTP), you can configure outgoing SMTP mail profile settings.

  • E-mail address: E-mail address of the SMTP account for the UDDI Notification Service in notification e-mails.

  • Display name: Display name of the UDDI Notification Service.

  • Reply email: Reply to address attached with the notification e-mails

  • Server name: The SMTP server’s DNS name or IP address.

  • Port number: The SMTP server’s port number.

  • This server requires a secure connection (SSL): Select this box if the SMTP server requires SSL.

SMTP Authentication

Under SMTP Authentication, you can configure SMTP authentication using one of the following credentials:

  • Windows Authentication using UDDI service credentials

  • Basic authentication

  • Anonymous authentication


Copyright

Information in this document, including URL and other Internet Web site references, is subject to change without notice. Unless otherwise noted, the companies, organizations, products, domain names, e-mail addresses, logos, people, places, and events depicted in examples herein are fictitious. No association with any real company, organization, product, domain name, e-mail address, logo, person, place, or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 2014 Microsoft Corporation. All rights reserved.

Microsoft, Active Directory, BizTalk, IntelliSense, JScript, MSDN, Visual Basic, Visual C#, Visual C++, Visual Studio, Win32, Windows, Windows Server, Windows Server System, and Windows Vista are trademarks of the Microsoft group of companies.

All other trademarks are property of their respective owners.